from SyntaxDesc import *
import Register
def Syntax():
	return SyntaxDesc(
		WordsCaseInsensitive(gStyleStructKeyword,
			"die",
			"do",
			"else"
			"eval",
			"for",
			"foreach",
			"if",
			"then",
			"unless",
			"until",
			"use",
			"sub",
			"while"
		),
		Regex(gStyleString,
			'\("[^\n"]*"\|\'.\'\)'
		),
		Regex(gStyleComment,'#.*'),
	)

Register.RegisterSyntax(Syntax,"Perl")

